﻿function BindSubmissionGrid() {


    $("#SubmissionGrid").igHierarchicalGrid({

        dataSource: "/Submission/GetPagedDataForSubmission",
        dataSourceType: 'json',
        responseDataKey: "Data.data",
        width: "100%",
        autoGenerateColumns: false,
       
        columns: [
            { key: "SubmissionsNo", headerText: "Submissions No.", dataType: "number", width: "15%" },
            { key: "SubmissionType", headerText: "Submission Type", dataType: "string" },
            { key: "SubmissionsMethod", headerText: "Submissions Method", dataType: "string" },
            { key: "ImageIcon", headerText: "", dataType: "string", width: "3%", template: "<img src=\"../Images/Others/info.png\" width=\"25px\" height=\"25px\" />" },
            { key: "SubmissionId", headerText: "", dataType: "number", width: "10%", template: "<input type=\"button\" value=\"View\"  data-id=\"${SubmissionId}\" onclick=\"showId(${SubmissionId})\" class=\"btn btn-info\">" }
        ],
        autoGenerateLayouts: false,
        primaryKey: "SubmissionId",
        localSchemaTransform: false,
        columnLayouts: [
            {
                key: "Declarations",
                primaryKey: "DeclarationId",
                foreignKey: "SubmissionId",
                autofitLastColumn: true,
                autoGenerateColumns: false,
                
                columns: [
                    { key: "DeclarationId", headerText: "Declaration Id", dataType: "number" },
                    { key: "ArticleNo", headerText: "Article No.", dataType: "string" },
                    { key: "ArticleName", headerText: "Article Name", dataType: "string" },
                    { key: "SiteName", headerText: "Site Name", dataType: "string" },
                    { key: "DispatchDate", headerText: "Dispatch Date", dataType: "string" },
                    { key: "Type", headerText: "Type", dataType: "string" },
                    { key: "Language", headerText: "Language", dataType: "string" }
                ],
                features: [
                    {
                        name: "Hiding",
                        inherit: true,
                        columnChooserHideText: "☑",
                        columnChooserShowText: "☐",
                        columnChooserButtonApplyClick: function (evt, ui) {
                            debugger;
                            ui.columnsToShow.forEach(function (entry) {
                                showColumn(entry);
                            });

                            ui.columnsToHide.forEach(function (entry) {
                                hideColumn(entry);
                            });
                        },
                        columnSettings: [
                            { columnKey: "Language", allowHiding: true, hidden: true }
                        ]
                    },
                    {
                        name: "ColumnMoving",
                        columnMovingDialogContainment: "window",                        
                        inherit: true
                    },

                    {
                        filterExprUrlKey: 'filter',
                        filterLogicUrlKey: 'filterLogic',
                        caseSensitive: false,
                        name: 'Filtering',
                        type: "remote",
                        columnMovingDialogContainment: "window"

                    },

                     {
                         sortUrlKey: 'sort',
                         sortUrlKeyAscValue: 'asc',
                         sortUrlKeyDescValue: 'desc',
                         name: "Sorting",
                         type: "local",                          
                         persist: true,
                         inherit: true,
                         columnMovingDialogContainment: "window"


                     },

                     {

                         name: 'Paging',
                         type: "remote",
                         pageSize: 10,
                         pageSizeDropDownLocation: "inpager",

                     },

                         {
                             name: 'RowSelectors',
                             enableCheckBoxes: true,
                             enableRowNumbering: false,

                         },
                {
                    name: 'Selection',
                    multipleSelection: true,


                },

                ]
                
            }
        ]

        
    });





   



}


function expandAllRows(rootGrid) {
    debugger;
    var level = 1, children, id, ad;
    ad = rootGrid.igHierarchicalGrid("option", "animationDuration");
    rootGrid.igHierarchicalGrid("option", "animationDuration", 0);
    $(rootGrid.igHierarchicalGrid("allRows")).each(function (index, element) {
        rootGrid.igHierarchicalGrid("collapse", element);
    });
    id = setInterval(function () {
        children = rootGrid.igHierarchicalGrid("allChildren").filter("table[data-level='" + level + "']");
        if (children.length > 0) {
            $(children).each(function (index, element) {
                $($(element).igGrid("allRows")).each(function (index, element) {
                    if ($(element).find("td.ui-iggrid-expandcolumn").length > 0 && ($(element).attr("state") === undefined || $(element).attr("state") === "c")) {
                        rootGrid.igHierarchicalGrid("collapse", element);
                    }
                });
            });
            level++;
        } else {
            clearInterval(id);
            rootGrid.igHierarchicalGrid("option", "animationDuration", ad);
        }
    }, 1000);
}
